###

###

###

###

###

###

    GETUID(2)           Linux Programmer's Manual           GETUID(2)

    NAME
           getuid, geteuid - get user identity

    SYNOPSIS
           #include <unistd.h>

           uid_t getuid(void);
           uid_t geteuid(void);

    DESCRIPTION
           getuid returns the real user ID of the current process.

           geteuid  returns the effective user ID of the current pro-
           cess.

           The real ID corresponds to the ID of the calling  process.
           The effective ID corresponds to the set ID bit on the file
           being executed.

    ERRORS
           These functions are always successful.

    CONFORMS TO
           POSIX, BSD 4.3

### SEE ALSO

setreuid, setuid,

###

    Linux 0.99.11              23 July 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0